Package org.eclipse.graphiti.ui.internal.command

# Class EclipseProgress

java.lang.Object
org.eclipse.graphiti.ui.internal.command.EclipseProgress

All Implemented Interfaces:
  `IProgress`

public class EclipseProgress extends Object implements IProgress

## Constructor Summary

Constructors
Constructor
Description
`EclipseProgress(org.eclipse.core.runtime.IProgressMonitor eclipseProgressMonitor, int total)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addProgress(int work)`
Adds the progress.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EclipseProgress

public EclipseProgress(org.eclipse.core.runtime.IProgressMonitor eclipseProgressMonitor, int total)

## Method Details

### addProgress

public void addProgress(int work)
Description copied from interface: `IProgress`
Adds the progress.

Specified by:
  `addProgress` in interface `IProgress`
Parameters:
  `work` - the work